Create
curl --request POST \
--url https://{defaultHost}/v1/fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee": {
"amount": 10,
"description": "Setup fee",
"line_item": "bf80db52-f919-4f70-b256-715aded52e70"
}
}
'import requests
url = "https://{defaultHost}/v1/fees"
payload = { "fee": {
"amount": 10,
"description": "Setup fee",
"line_item": "bf80db52-f919-4f70-b256-715aded52e70"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fee: {
amount: 10,
description: 'Setup fee',
line_item: 'bf80db52-f919-4f70-b256-715aded52e70'
}
})
};
fetch('https://{defaultHost}/v1/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ec4ec8e7-ebbe-417c-9b9f-33c58fe985ca",
"object": "fee",
"amount": 10,
"description": "Setup fee",
"fee_type": "manual",
"line_item": "bf80db52-f919-4f70-b256-715aded52e70",
"created_at": 1782485830,
"updated_at": 1782485830
}Fees
Create
Creates a new fee.
POST
/
v1
/
fees
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The amount in cents to be added or subtracted, represented as an integer. For example 9900 is equivalent to $99.
A short description of the fee.
The type of fee – one of auto, bump, manual, setup, upsell.
Expandable – The associated line item ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I